运维开发网

Ruby

0
  • ruby-on-rails – rails成员路由

    我正在创建一个路径,其中应该有一个像http:// mysite / cars / 1 / similar /这样的网址,这会使所有的汽车都与具有指定ID的汽车类似(在这种情况下为1) 我已经看到你可以使用语法在routes.rb文件中创建rails成员路由 resources :cars do ...[详细]

    2020-03-07 12:06 分类:编程语言
  • ruby-on-rails – Rails activerecord LIKE AND子句错误

    这是一个我试图在rails中使用的activerecord查询 q = "Manchester" b = "John Smith" Model.find(:all, :conditions => ["city ? AND name like ?", q, b]) 但我在rails控制台中收到此错误 ActiveRecord :: ...[详细]

    2020-03-07 12:02 分类:编程语言
  • ruby-on-rails – Rails flash消息助手

    我已经设置了一个flash助手: def flash_message flash.each do |key, msg| content_tag :div, msg, :id => key, :class => 'flash' end end 我把它放在我的application.html.erb中: <%= flash_message %> ...[详细]

    2020-03-07 11:55 分类:编程语言
  • ruby-on-rails – RoR模型似乎不像Ruby类?

    如果我有一个RoR模型person.rb如下: class Person < ActiveRecord::Base attr_accessible :first_name, :last_name validates :first_name, presence: true validates :last_name, presence: true end 我似乎无法做以下任何事...[详细]

    2020-03-07 11:48 分类:编程语言
  • ruby-on-rails – 如何使用RVM将Ruby更改为1.9.3版(再次)?

    我曾经在Ubuntu上使用 Ruby版本1.9.3并进行了更新,可能搞砸了我的bash配置文件,我需要帮助才能将其转回而不是使用版本1.8.7.现在rails使用Ruby 1.8.7打开服务器,因为我在我的应用程序中使用了更新的语法而出现错误. .bash_profile文件: ...[详细]

    2020-03-07 11:43 分类:编程语言
  • ruby-on-rails-3 – 如何使用Rails 3在post / put simple_form中传递get参数?

    使用simple_form 2.0.4,我做: = simple_form_for(@thing) do |f| 它产生: <form accept-charset="UTF-8" action="/things/37" class="simple_form" id="edit_thing_37" method="post" nova...[详细]

    2020-03-07 11:34 分类:编程语言
  • ruby-on-rails – 在Rails中嵌套布局

    是否可以在Rails 3.2中嵌套布局?我想创建application.html.erb使用的通用布局,并允许应用程序中的几个视图使用它.我找到了 Nested Layouts颗ruby,但它在四年内没有更新.如果我可以在application.html.erb文件中执行以下操作,那将是非常棒...[详细]

    2020-03-07 11:25 分类:编程语言
  • Ruby / MySQL获取单行但仍然使用.each?

    我正在使用 MySQL2 Ruby驱动程序 – 但似乎有点多余的不得不打电话 result.each{ |r| puts r['name'] } 对于返回的单行数据.必须有一种更简单的方法来获取我想要的mysql字段而不必使用每个块? 你的结果应该是 Mysql2::Result而且...[详细]

    2020-03-07 11:18 分类:编程语言
  • ruby-on-rails – 在使用Whenever和Capistrano时,无法在任何来源中找到rake 10.0.3

    我正试图在3.2.8上使用我的Rails应用程序上的Captainrano上的gem,使用RVM和Rails版本的gemset. 我收到以下错误:无法在任何源中找到rake-10.0.3(Bundler :: GemNotFound) 这是错误的输出(我记录在文件上): /home/some_user/.rvm/gems/ru...[详细]

    2020-03-07 11:09 分类:编程语言
  • ruby – 无法安装RedCloth

    在标题中,我在安装gem RedCloth时遇到问题.我下载了 RubyGems v1.8.24,并使用ubuntu 12.04,这是我的控制台日志: [email protected]:~$sudo gem install RedCloth [sudo] password for kuba: Building native extensions. This could ta...[详细]

    2020-03-07 11:05 分类:编程语言